# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/Diff.pm) perl(IO/File.pm) perl(Tie/Tk/Text.pm) perl(Tk.pm) xvfb-run
# END SourceDeps(oneline)
%ifndef _build_display
%def_without test
%endif
%define module_version 0.19
%define module_name Tk-DiffText
BuildRequires: unzip
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.19
Release: alt1
Summary: Perl/Tk composite widget for colorized diffs.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MJ/MJCARMAN/%module_name-%module_version.zip
BuildArch: noarch

%description
This module defines a composite widget that makes it simple to provide basic
"diff" functionality to your Tk applications.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build
xvfb-run -a make test

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/T*

%changelog
* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1
- initial import by package builder

